开发者社区> 问答> 正文

是否可以将flink部署在运行在JDK1.7的YARN上?

激情小笨笨 2019-04-26 20:22:39 717

目前YARN集群全部采用JDK1.7的环境。
正在尝试使用FLINK来处理流处理业务场景部署的时候发现FLINK ON YARN模式执行一个session任务总是报错,
YARN的AM日志显示Unsupported major. minor version 52.0,
尝试采用官网邮件列表中推荐的flink-conf.yaml中添加env.java.home: 和启动脚本添加-yD yarn.taskmanager.env.JAVA_HOME=、-yD containerized.master.env.JAVA_HOME=、-yD containerized.taskmanager.env.JAVA_HOME=以上三个参数。
均无法实现YARN中flink session以jdk1.8的环境运行AM任务。
FLINK是否可以在一个JDK7环境的yarn中执行相关ON YARN部署?

资源调度 Java 流计算 实时计算(流计算)
分享到
取消 提交回答
全部回答(2)
  • 不语奈何
    2019-09-03 11:29:13

    不可以,要不升级下1.8吧

    0 0
  • 宋淑婷
    2019-07-17 23:34:24

    不能,会有很多未知的错误

    0 0
添加回答
阿里云实时计算
使用钉钉扫一扫加入圈子
+ 订阅

一套基于Apache Flink构建的一站式、高性能实时大数据处理平台,广泛适用于流式数据处理、离线数据处理、DataLake计算等场景。

推荐文章
相似问题
链接